Summary: A chess program.
Name: crafty
Version: 17.14 
Release: 3
Source0: ftp://ftp.cis.uab.edu/pub/hyatt/v16/crafty-%{version}.tar.bz2
Source1: ftp://ftp.cis.uab.edu/pub/hyatt/common/medium/medium.tar.bz2
Source2: ftp://ftp.cis.uab.edu/pub/hyatt/common/start.pgn 
Source3: tables.tar.bz2
Source4: crafty.runme
Source5: crafty.wmconfig
URL: http://home.ican.net/~sjl/pages/crafty.html
Patch0: crafty.patch 
Copyright: Red Hat has permission to redistribute. 
Group: Amusements/Games
Requires: xboard
Provides: chessprogram
ExclusiveArch: i386
BuildRoot: /var/tmp/crafty-root/ 


%description
Crafty is a state-of-the-art computer chess program. Crafty is written
in C, has a customizable opening book, supports tablebases (Steven
Edward's endgame database) and has a text interface.

%prep
%setup -q -c -n crafty-17.14 -a1 -a3
touch crafty.doc
%patch0 -p1 -b .orig
cp $RPM_SOURCE_DIR/start.pgn .

%build
make RPM_OPTS="$RPM_OPT_FLAGS" 

./crafty << EOF
book create book.txt 60 
quit
EOF

./crafty << EOF 
books create start.pgn 60
quit
EOF

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/log/crafty
mkdir -p $RPM_BUILD_ROOT/usr/lib/crafty/TB
mkdir -p $RPM_BUILD_ROOT/usr/bin

install -m 755  crafty $RPM_BUILD_ROOT/usr/lib/crafty/
install -m 644  book.bin $RPM_BUILD_ROOT/usr/lib/crafty/
install -m 644  books.bin $RPM_BUILD_ROOT/usr/lib/crafty/
install -m 644  TB/* $RPM_BUILD_ROOT/usr/lib/crafty/TB/ 
install -m 755  $RPM_SOURCE_DIR/crafty.runme $RPM_BUILD_ROOT/usr/bin

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/crafty.desktop <<EOF
[Desktop Entry]
Name=crafty
Type=Application
Description=Chess
Exec=/usr/bin/crafty.runme
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /var/log/crafty
%doc crafty.doc
/usr/lib/crafty/crafty
/usr/bin/crafty.runme
/etc/X11/applnk/Games/crafty.desktop

%changelog
* Mon Dec 18 2000 Tim Powers <timp@redhat.com>
- bzip'ed sources

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov  8 2000 Tim Powers <timp@redhat.com>
- update to 17.14

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed FHS problems with bug #15022

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- updated to 17.9
- use applnk instead of wmconfig

* Tue Jan 18 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space

* Mon Aug 23 1999 Tim Powers <timp@redhat.com>
- added /etc/X11/wmconfig/crafty to files list

* Thu Aug 17 1999 Dale Lovelace <dale@redhat.com>
- added crafty.wmconfig

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- add 'chessprogram' provides

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated sources to 16.11 stuff, new tables etc
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Sep 29 1998 Michael Maher <mike@redhat.com>
- built pacakge with permission from Robert Hyatt.
